<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" default-cascade="all">
    <class entity-name="careCoordinator" table="CENSUS_CCOORD" lazy="false">
        <id type="java.lang.Long" node="identity">
            <column name="CARE_COORDINATOR_ID"/>
            <generator class="sequence" >
				<param name="sequence">care_coordinator_seq_id</param>
			</generator>
        </id>

		<property name="ccId" column="CC_IDENTIFIER" type="java.lang.String" node="id"/>

        <component name="name" node="name">
			<property name="family" column="CC_FAMILY_NAME" type="java.lang.String" node="family" />
			<property name="given" column="CC_GIVEN_NAME" type="java.lang.String" node="given" />
			<property name="middle" column="CC_MIDDLE_NAME" type="java.lang.String" node="middle" />
		</component>
		
		<property name="facilityID" column="FACILITY_ID" type="java.lang.String" node="facilityID"/>
		
	</class>
     
</hibernate-mapping>
